%define	major 0
%define libname	%mklibname dbi %{major}

Summary:	Database drivers for libdbi
Name:		libdbi-drivers
Version:	0.8.0
Release:	1mdk
License:	LGPL
Group:		System/Libraries
URL:		http://libdbi-drivers.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/libdbi-drivers/%{name}-%{version}.tar.bz2
Patch0:		libdbi-drivers-0.7.1-lib64.diff.bz2
BuildRequires:	MySQL-devel
BuildRequires:	postgresql-devel
BuildRequires:	sqlite-devel
BuildRequires:	libdbi-devel >= 0.8.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libdbi implements a database-independent abstraction layer in C,
similar to the DBI/DBD layer in Perl. Writing one generic set of
code, programmers can leverage the power of multiple databases and
multiple simultaneous database connections by using this
framework.

%package	dbd-mysql
Summary:	MySQL driver for libdbi
Group:		System/Libraries

%description	dbd-mysql
This driver provides connectivity to MySQL database servers
through the libdbi database independent abstraction layer.

Switching a program's driver does not require recompilation or
rewriting source code.

%package	dbd-pgsql
Summary:	PostgreSQL driver for libdbi
Group:		System/Libraries

%description	dbd-pgsql
This driver provides connectivity to PostgreSQL database servers
through the libdbi database independent abstraction layer.

Switching a program's driver does not require recompilation or
rewriting source code.

%package	dbd-sqlite
Summary:	SQLite driver for libdbi
Group:		System/Libraries

%description	dbd-sqlite
This driver provides connectivity to SQLite database servers
through the libdbi database independent abstraction layer.

Switching a program's driver does not require recompilation or
rewriting source code.

%package	devel
Summary:	Static library and header files for the %{name} library drivers
Group:		Development/C
Provides:	lib%{name}-drivers-devel = %{version}
Provides:	%{name}-drivers-devel
Requires:	libdbi-devel

%description	devel
libdbi implements a database-independent abstraction layer in C,
similar to the DBI/DBD layer in Perl. Writing one generic set of
code, programmers can leverage the power of multiple databases and
multiple simultaneous database connections by using this
framework.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0

# fix dir perms
find -type d | xargs chmod 755

%build
sh autogen.sh

%configure2_5x \
    --with-mysql \
    --with-pgsql \
    --with-sqlite

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# install development headers
install -d %{buildroot}%{_includedir}/dbi
install -m0644 drivers/mysql/dbd_mysql.h %{buildroot}%{_includedir}/dbi/
install -m0644 drivers/pgsql/dbd_pgsql.h %{buildroot}%{_includedir}/dbi/
install -m0644 drivers/sqlite/dbd_sqlite.h %{buildroot}%{_includedir}/dbi/

# fix some docs
mv drivers/mysql/TODO TODO.mysql
mv drivers/pgsql/TODO TODO.pgsql
mv drivers/sqlite/TODO TODO.sqlite

# fix installed docs...
mv %{buildroot}%{_docdir}/%{name}-%{version} .

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files dbd-mysql
%defattr(-,root,root)
%doc drivers/mysql/README
%doc drivers/mysql/AUTHORS
%doc %{name}-%{version}/dbd_mysql
%doc %{name}-%{version}/dbd_mysql.pdf
%{_libdir}/dbd/libmysql.so

%files dbd-pgsql
%defattr(-,root,root)
%doc drivers/pgsql/README
%doc drivers/pgsql/AUTHORS
%doc %{name}-%{version}/dbd_pgsql
%doc %{name}-%{version}/dbd_pgsql.pdf
%{_libdir}/dbd/libpgsql.so

%files dbd-sqlite
%defattr(-,root,root)
%doc drivers/sqlite/README
%doc drivers/sqlite/AUTHORS
%doc %{name}-%{version}/dbd_sqlite
%doc %{name}-%{version}/dbd_sqlite.pdf
%{_libdir}/dbd/libsqlite.so

%files devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README TODO*
%{_libdir}/dbd/*.a
%{_libdir}/dbd/*.la
%{_includedir}/dbi/*.h

%changelog
* Thu Sep 01 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-1mdk
- 0.8.0

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-2mdk
- lib64 fixes (P0)

* Thu Jun 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Mon Oct 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.7.0-1mdk
- initial cooker contrib
